<template>
  <div class="row mt-4 mb-2">
    <div class="col-lg-12 col-12">
      <div class="card shadow">
        <div class="card-header bg-white">
          <div class="col-6 text-left float-left text-blue pt-1 pl-0">General Information</div>
          <div class="col-6 text-right float-right align-self-center">
            <button class="btn white-button">Calculate Visa Cost</button>
          </div>
        </div>
        <div class="card-body info-content info-smaller-content">
          <form class="row mt-3">
            <div class="form-group col-lg-3 col-sm-6 col-12 text-left">
              <label class="info-content mb-1" for="email">Email</label>
              <input
                class="form-control"
                type="email"
                id="email"
                v-model="email"
                @keyup="submit"
              />
            </div>
            <div class="form-group col-lg-3 col-sm-6 col-12 text-left">
              <label class="info-content mb-1">Arrival date in Country</label>
              <br />
              <input type="text" class="d-inline form-control input-mini" placeholder="Day" />
              <input type="text" class="d-inline form-control input-mini" placeholder="Month" />
              <input type="text" class="d-inline form-control input-mini" placeholder="Year" />
            </div>
            <div class="form-group col-lg-3 col-sm-6 col-12 text-left">
              <label class="info-content mb-1">Departure date from Country</label>
              <br />
              <input type="text" class="d-inline form-control input-mini" placeholder="Day" />
              <input type="text" class="d-inline form-control input-mini" placeholder="Month" />
              <input type="text" class="d-inline form-control input-mini" placeholder="Year" />
            </div>
            <div class="form-group col-lg-3 col-12 text-left">
              <label class="info-content mb-1" for="year">Phone</label>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <button class="btn btn-outline-secondary" type="button">+1</button>
                </div>
                <input
                  type="number"
                  class="form-control"
                  aria-label="Text input with dropdown button"
                />
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</template>

<script>

export default {
  name: "BasicGeneralInfo",
  data() {
    return {
      email: "",
      dates: ["Day", "Month", "Year"]
    };
  },
  methods: {
    submit: function() {
      this.$emit("submitEmail", this.email);
    }
  }
};
</script>

<style scoped lang="scss">
.input-mini {
  width: 32%;
  margin: 0 0.1em;
}
p {
  margin-top: 0.25em;
  margin-bottom: 0.25em;
}
</style>